Permalink
Browse files

Merge pull request #238 from philomory/skip-fsevents-on-tiger

Don't try to load the FSEvents listener on older versions of OSX.
  • Loading branch information...
netzpirat committed Feb 6, 2012
2 parents b47d20d + fea981a commit 9ea3b7c3f84bccf5e7bc2f7a7ed837eb4867f1ad
Showing with 2 additions and 2 deletions.
  1. +1 −1 Rakefile
  2. +1 −1 lib/guard/listeners/darwin.rb
View
@@ -63,7 +63,7 @@ namespace(:spec) do
else
desc "Run all specs on multiple ruby versions (requires rvm)"
task(:portability) do
- Rake::Task[:build_mac_exec].invoke if RbConfig::CONFIG['host_os'] =~ /darwin/
+ Rake::Task[:build_mac_exec].invoke if RbConfig::CONFIG['host_os'] =~ /darwin(9|1\d)/i
travis_config_file = File.expand_path("../.travis.yml", __FILE__)
begin
travis_options ||= YAML::load_file(travis_config_file)
@@ -30,7 +30,7 @@ def stop
# @return [Boolean] whether usable or not
#
def self.usable?(no_vendor = false)
- return false unless RbConfig::CONFIG['target_os'] =~ /darwin/i
+ return false unless RbConfig::CONFIG['target_os'] =~ /darwin(9|1\d)/i
$LOAD_PATH << File.expand_path('../../../vendor/darwin/lib', __FILE__) unless no_vendor
require 'rb-fsevent'

0 comments on commit 9ea3b7c

Please sign in to comment.